        SUBROUTINE BT_ERRS ( ierrno, report, iret )
C************************************************************************
C* BT_ERRS                                                              *
C*								        *
C* This subroutine writes an error message to the decoder log file.     *
C* The value of IERRNO will be used to choose which message to write.   *
C*								        *
C* BT_ERRS  ( IERRNO, REPORT, IRET )                                    *
C*								        *
C* Input parameters:						        *
C*      IERRNO         INTEGER           Error message number           *
C*      REPORT         CHAR*             Current raw report             *
C*                                                                      *
C* Output parameters:						        *
C*      IRET		INTEGER	         Return code                    *
C*                                         0 = Normal return            *
C*                                                                      *
C**                                                                     *
C* Log:								        *
C* R. Hollern/NCEP      11/96                                           *
C* R. Hollern/NCEP       8/00  Removed bulletin header from log message *
C************************************************************************
        INCLUDE 	'GEMPRM.PRM'
        INCLUDE 	'btcmn.cmn'
C* 
        CHARACTER*(*)   report
C------------------------------------------------------------------------
        iret = 0
        loglvl = 2
C
        CALL DC_WLOG ( loglvl, 'BT', ierrno, report (1:59), ier )
C*
        RETURN
        END
