        SUBROUTINE BT_IFIV ( iret )
C************************************************************************
C* BT_IFIV                                                              *
C*                                                                      *
C* This subroutine initializes the interface values arrays for a new    *
C* report.                                                              *
C*                                                                      *
C* BT_IFIV ( IRET )	       	                                        *
C*                                                                      *
C* Output parameters:                                                   *
C*	IRET            INTEGER         Return code                     *
C*				   	  0 = normal return 	        *
C*                                                                      *
C**                                                                     *
C* Log:							                *
C* R. Hollern/NCEP      08/00                                           *
C* C. Caruso Magee/NCEP 03/02    Add init of rivals(irnddc).            *
C* C. Caruso Magee/NCEP 03/02    Add init of CURR.CMN variables rmrmv,  *
C*                               rpocm, and rdtcc.                      *
C************************************************************************
        INCLUDE 	'GEMPRM.PRM'
        INCLUDE 	'btcmn.cmn'
C-----------------------------------------------------------------------
        iret   = 0
C
	DO i = 1, NRIMN
	    rivals ( i ) = RMISSD
	END DO
C
	DO i = 1, NCIMN
	    civals ( i ) = ' '
	END DO
C
C*      Initialize CURR.CMN single-level parameters.
C
        rmrmv = RMISSD
        rpocm = RMISSD
        rdtcc = RMISSD
C
C*      Initialize the multi-level counters to 0.0 .
C
        rivals ( irndts ) = 0.0
        rivals ( irnddc ) = 0.0
        rivals ( irntrk ) = 0.0
C*
        RETURN
        END
